Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table.navi
Class DynamicClickableMember

    java.lang.Object
      com.tonbeller.jpivot.table.navi.AbstractClickableMember
          com.tonbeller.jpivot.table.navi.ClickableMemberSupport
              com.tonbeller.jpivot.table.navi.DynamicClickableMember

All Implemented Interfaces:
  ModelChangeListener, ClickableMember, com.tonbeller.wcf.controller.RequestListener, java.util.EventListener

    public class DynamicClickableMember

extends ClickableMemberSupport

a clickable member with query scope. The DynamicClickableMember is attached to the Query - its lifecycle ends when the query is replaced.

Since:
  15.12.2004
Author:
  av

Field Summary

Fields inherited from class com.tonbeller.jpivot.table.navi.ClickableMemberSupport
`dispatcher, model`

Fields inherited from class com.tonbeller.jpivot.table.navi.AbstractClickableMember
`parser`

Constructor Summary
`DynamicClickableMember(java.lang.String uniqueName, java.lang.String menuLabel, ParameterProvider paramProvider, java.lang.String page)`

Method Summary
`protected com.tonbeller.wcf.controller.RequestListener` | `createRequestListener(OlapModel model, Member m)` specifies what should happen when the user clicks on the member.
`java.lang.String` | `getMenuLabel()` label to show in popup menu

Methods inherited from class com.tonbeller.jpivot.table.navi.ClickableMemberSupport
`decorate, getUrlPattern, modelChanged, request, setUrlPattern, startRendering, stopRendering, structureChanged`

Methods inherited from class com.tonbeller.jpivot.table.navi.AbstractClickableMember
`isSuppressAllMember, isSuppressCalcMember, isSuppressMeasures, match, setSuppressAllMember, setSuppressCalcMember, setSuppressMeasures`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicClickableMember

    public DynamicClickableMember(java.lang.String uniqueName,
                                  java.lang.String menuLabel,
                                  ParameterProvider paramProvider,
                                  java.lang.String page)

Parameters:
  `uniqueName` - name of level, hierarchy or dimension that shall be clickable. If null, all dimensions except Measures will be clickable.
  `page` - the page to display when the link is clicked, must start with "/". Set to null to stay on the same page
  `paramProvider` - creates the parameter from the member.

Method Detail

### createRequestListener

    protected com.tonbeller.wcf.controller.RequestListener createRequestListener(OlapModel model,
                                                                                 Member m)

  Description copied from class: `ClickableMemberSupport`
  specifies what should happen when the user clicks on the member.

  Specified by:
    `createRequestListener` in class `ClickableMemberSupport`

### getMenuLabel

    public java.lang.String getMenuLabel()

  Description copied from class: `ClickableMemberSupport`
  label to show in popup menu

  Specified by:
    `getMenuLabel` in class `ClickableMemberSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD